Bug 461087 - cgi.cfg: wrong physical_html_path value
cgi.cfg: wrong physical_html_path value
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: nagios (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike McGrath
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 467296
  Show dependency treegraph
 
Reported: 2008-09-03 23:09 EDT by Jose Pedro Oliveira
Modified: 2008-10-20 03:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-20 03:13:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2008-09-03 23:09:31 EDT
Description of problem:
The current version of nagios ships with an invalid path value in the 
cgi.cfg configuration variable physical_html_path.  This invalid path
prevents the loading of the statusmap_image .gd2 files.


Version-Release number of selected component (if applicable):
nagios-3.0.3-6.fc10

How reproducible:
Always.

  
Actual results:
Current value of physical_html_path in /etc/nagios/cgi.cfg

    physical_html_path=/usr/share/nagios/share


Expected results:

    physical_html_path=/usr/share/nagios/html
Comment 1 Jose Pedro Oliveira 2008-09-03 23:13:28 EDT
The following patch appears to correct the problem (needs more testing/checking):
---------
diff -ruN nagios-3.0.3-orig/configure nagios-3.0.3/configure
--- nagios-3.0.3-orig/configure 2008-06-25 19:16:28.000000000 +0100
+++ nagios-3.0.3/configure      2008-09-04 03:29:10.000000000 +0100
@@ -341,7 +341,7 @@
 bindir='${exec_prefix}/bin'
 sbindir='${exec_prefix}/sbin'
 libexecdir='${exec_prefix}/libexec'
-datadir='${prefix}/share'
+datadir='${prefix}/html'
 sysconfdir='${prefix}/etc'
 sharedstatedir='${prefix}/com'
 localstatedir='${prefix}/var'
---------
Comment 2 Jose Pedro Oliveira 2008-09-03 23:28:35 EDT
A better approach:

  ./configure ...  --datadir=%{_datadir}/%{name}/html  ...
Comment 3 Jose Pedro Oliveira 2008-09-15 13:25:18 EDT
ping -c 1
Comment 4 Jose Pedro Oliveira 2008-09-28 10:42:41 EDT
ping -c 2  (easy fix)
Comment 5 Jose Pedro Oliveira 2008-10-18 23:03:07 EDT
ping -c 3  (this is very easy to fix)


--- nagios.spec.303-6.fc10      2008-07-10 18:31:52.000000000 +0100
+++ nagios.spec 2008-10-19 04:01:46.000000000 +0100
@@ -77,6 +78,7 @@
        --libexecdir=%{_libdir}/%{name}/plugins \
        --sysconfdir=%{_sysconfdir}/%{name} \
        --localstatedir=%{_localstatedir}/log/%{name} \
+       --datadir=%{_datadir}/%{name}/html \
        --with-gd-lib=%{_libdir} \
        --with-gd-inc=%{_includedir} \
        --enable-embedded-perl \

Note You need to log in before you can comment on or make changes to this bug.